commit:     0f23f207913e174c77b1ea46586662e0a6340f40
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 22 11:03:12 2017 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Fri Dec 22 11:05:19 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f23f207

app-office/texmacs: bump to 1.99.6

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-office/texmacs/Manifest                        |  1 +
 .../texmacs/files/texmacs-1.99.6-math_util.patch   | 15 ++++
 app-office/texmacs/texmacs-1.99.6.ebuild           | 79 ++++++++++++++++++++++
 3 files changed, 95 insertions(+)

diff --git a/app-office/texmacs/Manifest b/app-office/texmacs/Manifest
index 9c4d4d20bc4..9305bd7c55f 100644
--- a/app-office/texmacs/Manifest
+++ b/app-office/texmacs/Manifest
@@ -1,2 +1,3 @@
 DIST TeXmacs-1.99.2-src.tar.gz 18957858 BLAKE2B 
e109f012158d3382d26c52db2695df3d15fcbf45b85437e4bde0854a52762c6fd3ac630408d3e1e6cd29cb121def3bd6ce217464fc638c99fa120718ab7b7a5e
 SHA512 
e9d2dd0aab2e66470c4ae860e13b6fad2cc07913f14f7bca042c703d4d8b4a62fafafa711b81a0d8f8c125a3641b8bb5f38cd3adac74ec18895671423aa60be9
 DIST TeXmacs-1.99.5-src.tar.gz 25014543 BLAKE2B 
22c6f876015e6641959cded32dae93eda7e1c153f82c2fb60c026c9243c6e35d4b29df42c265a947e64a07cb72de6436e066713b200e3ec66bd4f1f274473807
 SHA512 
a7d846fd8823e486cf724bfcbe04ae877dd64995d6131af59b49427a1178e36b52b9fcd9109783b9ae1e39c988ae9ed497b1540dce29645ebf2c4301ca7357a8
+DIST TeXmacs-1.99.6-src.tar.gz 25081652 BLAKE2B 
08d0a141ff1b8ab59def50c636d917f9290488031d6f7f4343be4a04af44d8994dc791eb23a2a2b71b7a853a3a90482313062fbfc045cf585afdf8f1f8d2a5f3
 SHA512 
2e262037654493075cc4a3d47b93de08c3ad2d6f10ce5fe814a8046b38d327c5dd88c1575dff7e2145f1541f9765dc50ec5abcd63146090eea98ab5db9d103ee

diff --git a/app-office/texmacs/files/texmacs-1.99.6-math_util.patch 
b/app-office/texmacs/files/texmacs-1.99.6-math_util.patch
new file mode 100644
index 00000000000..006c92c2be3
--- /dev/null
+++ b/app-office/texmacs/files/texmacs-1.99.6-math_util.patch
@@ -0,0 +1,15 @@
+diff -r -U2 TeXmacs-1.99.6-src.orig/src/Graphics/Types/math_util.hpp 
TeXmacs-1.99.6-src/src/Graphics/Types/math_util.hpp
+--- TeXmacs-1.99.6-src.orig/src/Graphics/Types/math_util.hpp   2017-12-22 
03:27:43.000000000 +0700
++++ TeXmacs-1.99.6-src/src/Graphics/Types/math_util.hpp        2017-12-22 
16:44:35.052378917 +0700
+@@ -24,11 +24,4 @@
+ inline int    sign (double x) { return x>0?1:x<0?-1:0; } 
+ inline bool   fnull (double x, double approx) { return norm(x) <= approx; }
+-#ifndef __SUNPRO_CC
+-inline double pow (double x, int n) {
+-  double r= 1.0;
+-  while (n > 0) { r *= x; n--; }
+-  return r; }
+-#endif
+-
+ 
+ #endif // defined MATH_UTIL_H

diff --git a/app-office/texmacs/texmacs-1.99.6.ebuild 
b/app-office/texmacs/texmacs-1.99.6.ebuild
new file mode 100644
index 00000000000..bd65c285bdb
--- /dev/null
+++ b/app-office/texmacs/texmacs-1.99.6.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools xdg-utils gnome2-utils qmake-utils
+
+MY_P=${P/tex/TeX}-src
+
+DESCRIPTION="Wysiwyg text processor with high-quality maths"
+HOMEPAGE="http://www.texmacs.org/";
+SRC_URI="ftp://ftp.texmacs.org/pub/TeXmacs/tmftp/source/${MY_P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="imlib jpeg netpbm pdf svg spell"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       app-text/ghostscript-gpl
+       <dev-scheme/guile-1.9[deprecated]
+       media-libs/freetype
+       x11-apps/xmodmap
+       x11-libs/libXext
+       virtual/latex-base
+       dev-qt/qtgui:4
+       imlib? ( media-libs/imlib2 )
+       jpeg? ( || ( media-gfx/imagemagick media-gfx/jpeg2ps ) )
+       netpbm? ( media-libs/netpbm )
+       spell? ( app-text/aspell )
+       svg? ( || ( media-gfx/inkscape gnome-base/librsvg:2 ) )
+"
+DEPEND="${RDEPEND}
+       x11-proto/xproto"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+       # respect LDFLAGS, bug #338459
+       "${FILESDIR}"/${PN}-plugins-1.patch
+
+       # dont update mime and desktop databases and icon cache
+       "${FILESDIR}"/${PN}-updates.patch
+
+       "${FILESDIR}"/${PN}-1.99.2-desktop.patch
+
+       # remove new/delete declarations, bug 590002
+       "${FILESDIR}"/${PN}-1.99-remove-new-declaration.patch
+
+       "${FILESDIR}"/${PN}-1.99.6-math_util.patch
+)
+
+src_prepare() {
+       default
+
+       mv configure.{in,ac} || die
+
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --enable-optimize="${CXXFLAGS}" \
+               --with-qt="$(qt4_get_bindir)" \
+               $(use_with imlib imlib2) \
+               $(use_enable pdf pdf-renderer)
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_mimeinfo_database_update
+       gnome2_icon_cache_update
+}

Reply via email to